POST/shorts.v1alpha1.OwnershipService/GetOwnershipOverview

GetOwnershipOverview

The map and the aggregated view: institutions by kind, the most crowded registers, stocks crowded both long and short, the latest notices, super funds' consensus holdings and the stocks most owned by index funds.

Parameters

Connect-Protocol-VersionheaderRequired
number [1]

Define the version of the Connect protocol

Connect-Timeout-Msheader
number

Define the timeout, in ms

Request Body

application/json
object

Responses

200Success
application/json
object
asOfstring

(proto string)

crowdedarray

Stocks with the highest disclosed substantial voting power. (proto shorts.v1alpha1.OwnershipStock)

Array Items:
crowdedBothWaysarray

Stocks where hedge funds and active managers hold substantial stakes and short interest is high: crowded on both sides. (proto shorts.v1alpha1.OwnershipStock)

Array Items:
etfFumAudnumber <double>

(proto double)

etfsinteger <int32>

(proto int32)

kindsarray

(proto shorts.v1alpha1.OwnershipKindSummary)

Array Items:
lendingarray

Stocks where banks and brokers hold substantial interests (mostly stock lent to, or held as collateral from, short sellers) beside their short interest. (proto shorts.v1alpha1.OwnershipStock)

Array Items:
licMarketCapAudnumber <double>

(proto double)

licsinteger <int32>

(proto int32)

noticesParsedinteger <int32>

(proto int32)

noticesWithheldinteger <int32>

(proto int32)

passivearray

Stocks the tracked index ETFs own the largest share of. (proto shorts.v1alpha1.OwnershipStock)

Array Items:
recentarray

(proto shorts.v1alpha1.SubstantialNotice)

Array Items:
sourcesarray

(proto shorts.v1alpha1.OwnershipSource)

Array Items:
superAssetsAudnumber <double>

(proto double)

superConsensusarray

Stocks the tracked super fund options hold most of, by combined value. (proto shorts.v1alpha1.OwnershipStock)

Array Items:
superFundsinteger <int32>

(proto int32)

topHoldersarray

Institutions with the most current substantial holdings. (proto shorts.v1alpha1.OwnershipInstitution)

Array Items:
defaultError
application/json
object

Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation

codestring [canceled, unknown, invalid_argument, deadline_exceeded, not_found, already_exists, permission_denied, resource_exhausted, failed_precondition, aborted, out_of_range, unimplemented, internal, unavailable, data_loss, unauthenticated]

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

detailsarray

A list of messages that carry the error details. There is no limit on the number of messages.

Array Items:
messagestring

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.OwnershipService/GetOwnershipOverview" \
  -H "Content-Type: application/json" \
  -d '{}'